Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 437116 - dev-tex/biblatex-2.6 version bump request
Summary: dev-tex/biblatex-2.6 version bump request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: TeX project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 340353
  Show dependency tree
 
Reported: 2012-10-04 00:02 UTC by Manuel Rüger (RETIRED)
Modified: 2013-07-03 21:48 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
biblatex-2.4 ebuild (biblatex-2.4.ebuild,911 bytes, text/plain)
2012-11-29 13:22 UTC, Thomas Witt
Details
biblatex-2.5 ebuild (biblatex-2.5.ebuild,911 bytes, text/plain)
2013-02-02 09:26 UTC, Markus Oehme
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel Rüger (RETIRED) gentoo-dev 2012-10-04 00:02:01 UTC
RELEASE NOTES FOR VERSION 2.2

*  Biber version 1.2 is required for biblatex 2.2

*  Bugfix release


Please add it to the tree.
Comment 1 Manuel Rüger (RETIRED) gentoo-dev 2012-11-02 10:58:54 UTC
RELEASE NOTES FOR VERSION 2.3

*  Biber version 1.3 is required for biblatex 2.3

*  New "append" mode for \DeclareSourcemap so that fields can be combined

*  Detection of some situations which requires biber or latex reruns.
   Specifically, when sorting schemes are added or removed, when citations are added
   or removed, when sorting=none and citation order changes and the interactions of
   these situations when defernumbers=true. Biblatex should now report that a re-run is
   required in such situations.

*  Bugfixes
Comment 2 Thomas Witt 2012-11-29 13:22:18 UTC
Created attachment 330932 [details]
biblatex-2.4 ebuild

biblatex-2.4 released, dependency for biber-1.4
Comment 3 theodor 2013-01-20 00:06:26 UTC
biblatex-2.5 was released. Any chance to see it in portage?
Comment 4 Markus Oehme 2013-02-02 09:26:44 UTC
Created attachment 337650 [details]
biblatex-2.5 ebuild

Simple version bump to biblatex-2.5 for biber-1.5.
Comment 5 Hendrik v. Raven 2013-06-22 11:54:28 UTC
any chances to see a version bump in the near future? The latest version in the tree 2.1 is getting a bit old.
Also bug #340353 would be realy interesting, since biber is the default backend since 2.0, but is not in tree, meaning, that the recommended way to use biblatex is not working.

If the herd doesn't have time for that I would volunteer to proxy-maintain the packages. The ebuilds from the mrueg overlay work fine, but having them in the main tree would be a lot better.
Comment 6 Manuel Rüger (RETIRED) gentoo-dev 2013-07-03 19:44:57 UTC
@tex-herd: I will bump this in the next days and take over maintainership, if there are no complaints.
Comment 7 Manuel Rüger (RETIRED) gentoo-dev 2013-07-03 21:48:10 UTC
*biblatex-2.6 (03 Jul 2013)

  03 Jul 2013; Manuel Rüger <mrueg@gentoo.org +biblatex-2.6.ebuild,
  metadata.xml:
  Version bump wrt bug #437116 - thanks to Thomas Witt and Markus Oehme for
  providing updated ebuilds.
  Taking maintainership